<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: members.php
| Author: Nick Jones (Digitanium)
| Modified By: Craig
| Site: http://www.phpfusionmods.co.uk
| Search Added By PHP-Fusion Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."members.php";

add_to_title($locale['global_200'].$locale['400']);

opentable($locale['400']);
if (iMEMBER) {
	if (!isset($_GET['sortby']) || !ctype_alnum($_GET['sortby'])) { $_GET['sortby'] = "all"; }
	$orderby = ($_GET['sortby'] == "all" ? "" : " AND user_name LIKE '".stripinput($_GET['sortby'])."%'");
	$search_text = ((isset($_GET['search_text']) && preg_check("/^[-0-9A-Z_@\s]+$/i", $_GET['search_text'])) ? $orderby = ' AND user_name LIKE "'.stripinput($_GET['search_text']).'%"' : $_GET['sortby']);
	$result = dbquery("SELECT user_id FROM ".DB_USERS." WHERE user_status='0'".$orderby);
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$i = 0;

//Styles For Coloured Usernames	and Avatar
add_to_head("<style type='text/css'>
.mbr_superadmin_style
{
color: #CF3333;
font-weight: bold;
}
.mbr_superadmin_style:hover
{
color: #CF3333;
font-weight: bold;
}
.mbr_admin_style
{
color: #008000;
font-weight: bold;
}
.mbr_admin_style:hover
{
color: #008000;
font-weight: bold;
}
.mbr_member_style
{
color: #2D6CCA;
}
.mbr_member_style:hover
{
color: #2D6CCA;
}

.opacity {
opacity:0.8;
filter:alpha(opacity=80); /* For IE8 and earlier */
}

.opacity:hover {
opacity:1.0;
filter:alpha(opacity=100); /* For IE8 and earlier */
}

.member-avatar-online {
border: 4px solid #82FF44;
width: 60px;
height: 60px;
-moz-border-radius: 4px;
-webkit-border-radius: 4px;
border-radius: 4px;
}

.member-avatar-five {
border: 4px solid #FFA70F;
width: 60px;
height: 60px;
-moz-border-radius: 4px;
-webkit-border-radius: 4px;
border-radius: 4px;
}

.member-avatar-offline {
border: 4px solid #FF3D3D;
width: 60px;
height: 60px;
-moz-border-radius: 4px;
-webkit-border-radius: 4px;
border-radius: 4px;
}

.members-small {
font-size: 10px;
}
</style>
 ");

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='tbl2'></td>\n";
	echo "<td class='tbl2'><strong>".$locale['401']."</strong></td>\n";
	echo "<td class='tbl2'><strong>".$locale['405']."</strong></td>\n";
	echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['402']."</strong></td>\n";
	echo "</tr>\n";
	$result = dbquery("SELECT user_id, user_name, user_status, user_level, user_groups, user_lastvisit, user_avatar FROM ".DB_USERS." WHERE user_status='0'".$orderby." ORDER BY user_level DESC, user_name AND user_id LIMIT ".$_GET['rowstart'].",20");
	while ($data = dbarray($result)) {
	$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
	echo "<tr>\n<td class='$cell_color'>\n";
	$lseen = time() - stripinput($data['user_lastvisit']);
	if($lseen < 60) {
	if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='member-avatar-online' src='".IMAGES."avatars/".$data['user_avatar']."'   title='".$data['user_name'].$locale['memb_01']."' alt='' /></a>";
	} else { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='member-avatar-online' src='".IMAGES."avatars/noavatar100.png' alt=''  title=' ".$data['user_name'].$locale['memb_01']."' /></a>";
	}
	} elseif($lseen < 300) {  if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='member-avatar-five opacity' src='".IMAGES."avatars/".$data['user_avatar']."'   title='".$data['user_name'].$locale['memb_02']."' alt='' /></a>";
	} else { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='member-avatar-five opacity' src='".IMAGES."avatars/noavatar100.png'  alt=''  title=' ".$data['user_name'].$locale['memb_02']."' /></a>";
	}
	}else{ if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='member-avatar-offline opacity' src='".IMAGES."avatars/".$data['user_avatar']."'   title='".$data['user_name'].$locale['memb_03'].showdate("forumdate", $data['user_lastvisit'])."' alt='' /></a>";
	} else { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'><img class='member-avatar-offline opacity' src='".IMAGES."avatars/noavatar100.png' alt=''  title=' ".$data['user_name'].$locale['memb_03'].showdate("forumdate", $data['user_lastvisit'])."' /></a>";
	}
	}
	echo"</td>\n";
	echo "<td class='$cell_color'>\n".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
	$groups = "";
	$user_groups = explode(".", $data['user_groups']);
	$j = 0;
	foreach ($user_groups as $key => $value) {
	if ($value) {
	$groups .= "<a href='profile.php?group_id=".$value."'>".getgroupname($value)."</a>".($j < count($user_groups)-1 ? "<br /> " : "");
	}
	$j++;
	}
	echo "<td class='$cell_color'>\n<span class='members-small'>".($groups ? $groups : ($data['user_level'] == 103 ? $locale['407'] : $locale['406']))."</span></td>\n";
	echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>";
	if ($data['user_level'] == 103) {
	echo"<span class='mbr_superadmin_style'>".getuserlevel($data['user_level'])."</span>";

	}elseif ($data['user_level'] == 102) {
	echo"<span class='mbr_admin_style'>".getuserlevel($data['user_level'])."</span>";

	}else{
	echo"<span class='mbr_member_style'>".getuserlevel($data['user_level'])."</span>";

	}
	echo"</td>\n</tr>";
	}
	echo "</table>\n";
	} else {
	echo "<div style='text-align:center'><br />\n".$locale['403'].(isset($_GET['search_text']) ? $_GET['search_text'] : $_GET['sortby'])."<br /><br />\n</div>\n";
	}
	$search = array(
	"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
	"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	echo "<hr />\n<div style='text-align:center'>\n";
	echo "<form name='searchform' method='get' action='".FUSION_SELF."'>\n";
	echo $locale['408']." <input type='text' name='search_text' class='textbox' style='width:150px'/>\n";
	echo "<input type='submit' name='search' value='".$locale['409']."' class='button' />\n";
	echo "</form>\n</div\n>";
	echo "<table cellpadding='0' cellspacing='1' class='tbl-border center'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['404']."</a></td>";
	for ($i = 0; $i < 36 != ""; $i++) {
	echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
	echo ($i == 17 ? "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['404']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n";
	} else {
	redirect("index.php");
	}
	closetable();
	if ($rows > 20) { echo "<div align='center' style='margin-top:5px;'>".makepagenav($_GET['rowstart'], 20, $rows, 3, FUSION_SELF."?sortby=".$_GET['sortby']."&amp;")."</div>\n"; }

require_once THEMES."templates/footer.php";
?>
